EDIT - feature request #6344

Restrict Ul for editing molecular data
01/19/2017 08:46 AM - Patrick Plitzner

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 4:00 hours
Target version: Reviewed Next Major Release

Severity: normal

Description

After a testing session with Norbert we decided to use a very restrictive Ul to avoid any synchronization problems. This may change
later if we have solved the general "Refresh" issue (#4135)

The way we want to restrict the Ul is mostly about the consensus sequence as this can be addressed from three side:
AlignmentEditor, DetailsView, attached contig file.

Disable the consensus sequence text field:
e if any contig file is attached in the details view
¢ if a consensus sequence is created with AlignmentEditor i.e. if single reads exist as derivatives/children
¢ Enable if nothing else exists

Do not allow to add a contig file in the details view:

e if a consensus sequence is created with AlignmentEditor i.e. if single reads exist as derivatives/children

Remove option to load pherogram from within the AlignmentEditor.
Do not allow importing contig files (currently not implemented, although this may not be so critically)

Speed up the rendering of the consensus sequence text field for long sequences

History

#1 - 01/30/2017 03:03 PM - Andreas Miiller

- Tags set to LibrAlign, campanula

- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 4.6

- Estimated time set to 4:00 h

#2 - 03/10/2017 08:47 PM - Andreas Miller

- Target version changed from Release 4.6 to Release 4.7

#3 - 05/11/2017 10:22 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#4 - 07/06/2017 10:26 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#5 - 07/21/2017 10:29 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#6 - 09/24/2017 04:50 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.12

#7 - 12/05/2017 02:15 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13
#8 - 01/31/2018 12:30 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#9 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#10 - 03/23/2018 12:03 PM - Patrick Plitzner
- Priority changed from Priority14 to Priority13

- Target version changed from Release 5.0 to Reviewed Next Major Release

moving to reviewed milestone as this does not have high priority at the moment

#11 - 03/23/2018 01:39 PM - Andreas Miiller
- Priority changed from Priority13 to Priority14

#12 - 02/19/2019 03:27 PM - Andreas Miiller
- Priority changed from Priority14 to Priority13

#13 - 11/18/2019 03:09 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther
